# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::HTMLBaseFontElement Class Reference

Base font. More...

`#include <html_misc.h>`

Inheritance diagram for DOM::HTMLBaseFontElement:

[legend]
Collaboration diagram for DOM::HTMLBaseFontElement:

[legend]
List of all members.

## Public Member Functions

| HTMLBaseFontElement (const HTMLBaseFontElement &other)
| HTMLBaseFontElement (const Node &other)
HTMLBaseFontElement & | operator= (const HTMLBaseFontElement &other)
HTMLBaseFontElement & | operator= (const Node &other)
DOMString | color () const
void | setColor (const DOMString &)
DOMString | face () const
void | setFace (const DOMString &)
long | getSize () const
void | setSize (long)
DOMString | size () const KDE_DEPRECATED
void | setSize (const DOMString &) KDE_DEPRECATED

## Protected Member Functions

| HTMLBaseFontElement (HTMLBaseFontElementImpl *impl)

## Detailed Description

Base font.

See the BASEFONT element definition in HTML 4.0. This element is deprecated in HTML 4.0.

Definition at line 48 of file html_misc.h.

## Member Function Documentation

DOMString HTMLBaseFontElement::color | ( |  | ) | const

| Font color. See the color attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 58 of file html_misc.cpp.

void HTMLBaseFontElement::setColor | ( | const DOMString & |  | ) |

| see color Definition at line 64 of file html_misc.cpp.

DOMString HTMLBaseFontElement::face | ( |  | ) | const

| Font face identifier. See the face attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 69 of file html_misc.cpp.

void HTMLBaseFontElement::setFace | ( | const DOMString & |  | ) |

| see face Definition at line 75 of file html_misc.cpp.

long HTMLBaseFontElement::getSize | ( |  | ) | const

| Computed Font size. See the size attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 91 of file html_misc.cpp. References DOM::DOMString::toInt().

void HTMLBaseFontElement::setSize | ( | long |  | ) |

| see size Definition at line 97 of file html_misc.cpp.

DOMString HTMLBaseFontElement::size | ( |  | ) | const

Deprecated:

Definition at line 80 of file html_misc.cpp.

void HTMLBaseFontElement::setSize | ( | const DOMString & |  | ) |

Deprecated:

Definition at line 86 of file html_misc.cpp.

The documentation for this class was generated from the following files:

- html_misc.h
- html_misc.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:34:27 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003